/*
 * Copyright 2016 - 2024 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <studio/studio.hpp>

#include "sceneeditor-imgui.hpp"

namespace nostalgia::scene {

constexpr ox::StringLiteral FileExt_nscn("nscn");

class StudioModule: public studio::Module {
	public:
		ox::Vector<studio::EditorMaker> editors(studio::StudioContext &ctx) const noexcept override {
			return {
				 studio::editorMaker<SceneEditorImGui>(ctx, FileExt_nscn),
			};
		}
		ox::Vector<ox::UPtr<studio::ItemMaker>> itemMakers(studio::StudioContext&) const noexcept override {
			ox::Vector<ox::UPtr<studio::ItemMaker>> out;
			return out;
		}
};

static StudioModule const mod;
const studio::Module *studioModule() noexcept {
	return &mod;
}

}
